<?php
################################################################################
### This disclaimer must be kept intact in order to use this product.        ###
################################################################################
### Project: jT CarFramework [http://intersofts.com]
### Author: J. Toshio Taniguchi
### Since: 27.04.2011
### Version: 1.0.0
### Copyrights: J. Toshio Taniguchi
### Contact: j.taniguchi@taniguchi-blog.com
################################################################################
### CONTRIBUTORS
### - none
################################################################################
class adminprettyphoto 
{
    protected $lang;
    protected $form_message;
    protected $form_status;
    protected $form_style;
    protected $data_list;
    
    /*
     * Constructor -------------------------------------------------------------
     */
    public function adminprettyphoto($lang=array())
    {
        $this->lang = $lang;
        
        // handle update form.
        if( isset($_POST['saveBtn']) )
        {
            $this->handleUpdateForm();
        }
        
        // load module data.
        $this->loadModuleData();
    }
    
    /*
     * Protected method: handle update form ------------------------------------
     * @return void.
     */
    protected function handleUpdateForm()
    {
        $id                 = (int)$_POST['idInput'];
        $animation          = trim($_POST['animationInput']);
        $time_slideshow     = trim($_POST['slideshowTimeInput']);
        $slideshow_enabled  = trim($_POST['slideshowEnabledInput']);
        $opacity            = trim($_POST['opacityInput']);
        $title              = trim($_POST['titleInput']);
        $resize             = trim($_POST['resizeInput']);
        $width              = trim($_POST['widthInput']);
        $height             = trim($_POST['heightInput']);
        $theme              = trim($_POST['themeInput']);
        $close              = trim($_POST['closeInput']);
        $autoPlay           = trim($_POST['autoplayInput']);
        $keyboard           = trim($_POST['keyboardInput']);
        
        // validate non select tags.
        if( !is_numeric($width) || $width < 150 )
        {
            $this->form_message = $this->lang['PRETTYPHOTO_INVALID_WIDTH'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            return;
        }
        
        if( !is_numeric($height) || $height < 150 )
        {
            $this->form_message = $this->lang['PRETTYPHOTO_INVALID_HEIGHT'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            return;
        }
        
        // update database.
        require_once BASE_CLASS . 'class-connect.php';
        
        $db = new Connect();
        $db->open();
        
        $animation          = mysql_real_escape_string($animation);
        $time_slideshow     = mysql_real_escape_string($time_slideshow);
        $slideshow_enabled  = mysql_real_escape_string($slideshow_enabled);
        $opacity            = mysql_real_escape_string($opacity);
        $title              = mysql_real_escape_string($title);
        $resize             = mysql_real_escape_string($resize);
        $width              = mysql_real_escape_string($width);
        $height             = mysql_real_escape_string($height);
        $theme              = mysql_real_escape_string($theme);
        $close              = mysql_real_escape_string($close);
        $autoPlay           = mysql_real_escape_string($autoPlay);
        $keyboard           = mysql_real_escape_string($keyboard);
        
        if( !mysql_query("UPDATE `prettyphoto` SET `animation_speed`='$animation', 
                                                    `slideshow`='$time_slideshow', 
                                                    `autoplay_slideshow`='$slideshow_enabled', 
                                                    `opacity`='$opacity', 
                                                    `show_title`='$title', 
                                                    `allow_resize`='$resize',
                                                    `default_width`='$width',
                                                    `default_height`='$height',
                                                    `theme`='$theme',
                                                    `autoplay`='$autoPlay',
                                                    `modal`='$close',
                                                    `keyboard_shortcuts`='$keyboard' WHERE `id`='$id' LIMIT 1;") )
        {
            require_once BASE_CLASS . 'class-log.php';
            
            $db->close();
            
            LogReport::write('Unable to update prettyPhoto data due a query error at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            
            $this->form_message = $this->lang['PRETTYPHOTO_QUERY_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            return;
        }
        
        $this->form_message = $this->lang['PRETTYPHOTO_QUERY_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        return;
    }
    
    /*
     * Protected method: load module data --------------------------------------
     * @return void.
     */
    protected function loadModuleData()
    {
        require_once BASE_CLASS . 'class-connect.php';
        
        $db = new Connect();
        $db->open();
        
        if( !$sql = @mysql_query("SELECT * FROM `prettyphoto` LIMIT 1;") )
        {
            require_once BASE_CLASS . 'class-log.php';
            
            $db->close();
            
            LogReport::write('Unable to load module data due a query error at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            LogReport::fatalError($this->lang['']);
        }
        
        if( @mysql_num_rows($sql) != 1 )
        {
            require_once BASE_CLASS . 'class-log.php';
            
            $db->close();
            
            LogReport::write('Unable to load module data. No data entries registered on database. Error thrown at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            LogReport::fatalError($this->lang['']);
        }
        
        $this->data_list = array();
        
        $r = @mysql_fetch_assoc($sql);
        @mysql_free_result($sql);
        
        $db->close();
        
        $this->data_list['id'] = $r['id'];
        $this->data_list['animation_speed'] = $r['animation_speed'];
        $this->data_list['slideshow'] = $r['slideshow'];
        $this->data_list['autoplay_slideshow'] = $r['autoplay_slideshow'];
        $this->data_list['opacity'] = $r['opacity'];
        $this->data_list['show_title'] = $r['show_title'];
        $this->data_list['allow_resize'] = $r['allow_resize'];
        $this->data_list['default_width'] = $r['default_width'];
        $this->data_list['default_height'] = $r['default_height'];
        $this->data_list['counter_separator'] = $r['counter_separator'];
        $this->data_list['theme'] = $r['theme'];
        $this->data_list['horizontal_padding'] = $r['horizontal_padding'];
        $this->data_list['hide_flash'] = $r['hide_flash'];
        $this->data_list['wmode'] = $r['wmode'];
        $this->data_list['autoplay'] = $r['autoplay'];
        $this->data_list['modal'] = $r['modal'];
        $this->data_list['deeplinking'] = $r['deeplinking'];
        $this->data_list['overlay_gallery'] = $r['overlay_gallery'];
        $this->data_list['keyboard_shortcuts'] = $r['keyboard_shortcuts'];
    }
    
    /*
     * Public method: get module data ------------------------------------------
     * @return array.
     */
    public function getModuleData()
    {
        return $this->data_list;
    }
    
    /*
     * Public method: get form message -----------------------------------------
     * @return string.
     */
    public function getFormMessage()
    {
        return $this->form_message;
    }
    
    /*
     * Public method: get form status ------------------------------------------
     * @return bool.
     */
    public function getFormStatus()
    {
        return $this->form_status;
    }
    
    /*
     * Public method: get form style -------------------------------------------
     * @return string.
     */
    public function getFormStyle()
    {
        return $this->form_style;
    }
}
